from django.urls import path, include
from django.contrib.auth import views as auth_views
from accounts import views

urlpatterns = [
    path('login/', views.DepotLoginView.as_view(), name='login'),
    path('relogin/', auth_views.logout_then_login, name='relogin'),
    path('user/', include([
        path('', views.UserListView.as_view(), name='user_list'),
        path('register/', views.RegisterView.as_view(), name='user_register'),
        path('<int:pk>/update/', views.UserUpdateView.as_view(), name='user_update'),
    ])),
]